#!/bin/sh

set -e

MODULE="cube"

case "${1}" in
	configure)
		. /usr/share/debconf/confmodule

		db_get icingaweb2-module-${MODULE}/enable
		MODULE_ENABLE="${RET:-true}"

		db_stop

		if ! getent group icingaweb2 > /dev/null
		then
			groupadd --system icingaweb2 > /dev/null
		fi

		if [ "${MODULE_ENABLE}" = "true" ]
		then
			if [ ! -e "/etc/icingaweb2/enabledModules" ]
			then
				mkdir -p "/etc/icingaweb2/enabledModules"
				chown root:icingaweb2 "/etc/icingaweb2/enabledModules" > /dev/null 2>&1 || true
			fi

			ln -sf "/usr/share/icingaweb2/modules/${MODULE}" "/etc/icingaweb2/enabledModules/${MODULE}"
			chown root:icingaweb2 "/etc/icingaweb2/enabledModules/${MODULE}" > /dev/null 2>&1 || true
		else
			rm -f "/etc/icingaweb2/enabledModules/${MODULE}"
		fi
		;;

	abort-upgrade|abort-remove|abort-deconfigure)

		;;

	*)
		echo "postinst called with unknown argument: \`${1}'." >&2
		exit 1
		;;
esac

#DEBHELPER#

exit 0
